

<template >
  <div class="mode-panel">
    <ModeItem  v-for="(item, index) in dataStatistics" :value="item.count" :label="item.label"/>
  </div>
</template>

<script>
import {ModeItem} from './ModeItem'

export default {
  name: 'ModePanel',
  components: {
    ModeItem
  },
  data() {
    return {
      dataStatistics: []
    }
  },
  methods: {
    setData(data) {
      this.dataStatistics = data
    }
  }
}
</script>

<style scoped lang='less'>

.mode-panel {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  width: 350px;
  align-items: center;
  color: #fff;
}
</style>
